Ticket #1221 (closed task: wontfix)

Opened 23 months ago

Last modified 18 months ago

Product working group activity reports

Reported by: mitr Owned by:
Priority: major Keywords: meeting
Cc: pknirsch, jwboyer, robyduck, jreznik Blocked By:

Description (last modified by mitr) (diff)

... to implement FESCo decision from Jan 15, 2014: activity reports should be added to this ticket every other week, and ACKed or discussed in FESCo meetings.

Change History

comment:1 Changed 23 months ago by mitr

  • Description modified (diff)

comment:2 Changed 23 months ago by mitr

WG liaisons, please add activity reports before the meeting of Jan 29.

comment:3 Changed 23 months ago by sgallagh

  • Cc pknirsch, jwboyer added

comment:4 Changed 23 months ago by robyduck

  • Cc robyduck added

comment:5 Changed 23 months ago by kevin

  • Keywords meeting added

Any reports to note for this weeks meeting?

comment:6 Changed 23 months ago by jwboyer

The Workstation WG submitted it's PRD for approval, which is in a separate ticket.

There is an on-going thread on the advisory-board list about enabling 3rd party repositories that contain non-free software. This is a follow up to FESCo ticket 1201 as an escalation to the Board on if that is acceptable per Fedora's policies/guidelines/foundations. I suspect that will resolve itself at the Board level but encourage those interested to participate. (Board ticket 169 has also been opened for this, but discussion is essentially on advisory-board.)

The Workstation WG has nothing further to report at the moment.

comment:7 Changed 23 months ago by jreznik

  • Cc jreznik added

comment:8 Changed 23 months ago by pknirsch

The Base Design WG has finished the initial Mission statement and formulated more specific goals and scopes here:


During the definition process for the set of components belonging to Base via a few simple rules

contains kernel, rpm, yum, gcc is self hosting

it became clear that one of the immediate goals should be to prune the build requires and disentangle the mass of packages for Base. Currently there are 1804 components required to fulfil the above requirement. So we're currently investigating the potential for pruning this to a much smaller number.

Harald Hoyer provided a first in-depth analysis of the situation:


which now lead to a detailed review of the 65 components listed at the end, contact the respective component owners and propose potential changes to improve the situation.

Next steps for Base will be collect more information from the other WGs in order to formulate more specifically the additional functional areas that would be housed in Base.

Thanks & regards, Phil

comment:9 Changed 23 months ago by mmaslano

Env and Stack WG sent PRD for review on mailing list and also created a separated ticket:


WG decided to adjust PRD according to FESCo comments on their next meeting.

comment:10 Changed 23 months ago by sgallagh

Server WG has completed our PRD and submitted it as ticket #1222 for FESCo review.

We have begun working on implementation needs and scoping.

Server coordinated with the Cloud group to determine where to put the blurry line between the two products, culminating also in a goal that it should be possible to promote a Fedora Cloud "livestock" into a Fedora Server "pet" running in a cloud infrastructure.

The Fedora Server WG and SIG is currently working on determining our technical needs for deploying Server Roles. We will likely pick a single reference role to deliver for the first release in the Fedora 21 timeframe.

comment:11 Changed 23 months ago by mattdm

Cloud WG has also completed the PRD, submitted as ticket #1225. Our weekly meeting is going on right now, and figuring out next steps is on the agenda.

comment:12 Changed 23 months ago by kevin

Tenative deadline of Feb 17th for next working group deliverables. Please try and engage other groups with plans as soon as you can. (+7,0,0)

Can liasons communicate this information back to the groups?

The next deliverable is:

"The second deliverable should be a list of necessary changes from existing Fedora procedures needed to release the product. This should be ordered to show what things depend on other changes and at which point the changes will mean that we can no longer produce the current type of Fedora. This will allow us to identify the resources needed by what teams in order to implement the plan and at what point we may need to have a longer than normal release cycle to do tooling work."

comment:13 Changed 22 months ago by sgallagh

While not strictly required this week, I'll provide an update on Fedora Server progress.

We lacked quorum for our meeting yesterday, so it was not held. However, there is significant discussion on how to implement Server Roles occurring on both the devel@ and server@ mailing lists.

In particular, Kevin sent out a straw-man proposal on the server@ list that has gathered some useful feedback.

A community member on devel@ came out earlier with a request for Fedora.next that turned out to be essentially what the Server WG was proposing for Server Roles (side-note: I like that this justifies our plans somewhat). This conversation has resulted in a great deal of interesting discussion about how to handle writing a configuration API.

comment:14 Changed 22 months ago by mmaslano

Env and Stack WG:

  • PRD was partially updated as requested. Rest will be updated after a discussion on mailing list.
  • handsome_pirate was replaced by drieden because he didn't show up many weeks and didn't vote about PRD.

comment:15 Changed 22 months ago by mmaslano

Env and Stack WG:

  • yesterday we start speaking about coprs repositories, which might be merged into fedora-ugly (different name needed). Discussion will continue on mailing list.
  • we'd like to prioritize tasks according to needs of other Products

comment:16 Changed 22 months ago by sgallagh

Server WG doesn't have much to report this week as most of the active members of the working group have been traveling to various conferences (FOSDEM, DevConf?.cz, etc.) so little progress was made.

Some conversations were held informally at the conferences between working groups. One of the noteworthy points is that we generally agree that there should be no package divergence between Products except in the last extreme. We also agreed that if a Product needs a different default configuration from the others, the proper approach would be to diverge the default configurations in -config subpackages that could be interchangeable.

comment:17 Changed 22 months ago by pknirsch

Same for the Base Design WG.

Review for the buildrequires cleanup is progressing, already got cs-certificates fixed (doesn't need java-openjdk anymore). About half of the 65 initial up for review packages have been reviewed so far.

Next up will be discussion of more concrete and detailed package list(s) for Base and after the DevConf? an updated to the features Base most likely should offer:

  • Docker tools (docker docker docker docker...)
  • SCL tools

comment:18 Changed 22 months ago by jwboyer

Workstation WG has little in the way of actual progress this week, but things are starting to clear up as to intentions and details. A massive thread of which DE to use as the basis and default resulted in the somewhat expected lengthy debate, but hopefully the clarification thread from Monday is helping there. Hopefully the WG can decide that this week and begin the next steps. Beyond that, we're still waiting on Board approval of the PRD.

comment:19 Changed 22 months ago by tmraz

  • AGREED: FESCo expects the Tech specs/docs from working groups by March 3rd at the latest (+7, -0, 0:0) (t8m, 19:50:38)

FESCo urges the WGs to finish the specs as soon as possible so they can be properly reviewed and discussed.

comment:20 Changed 21 months ago by kevin

Any status or reports this week?

comment:21 Changed 21 months ago by mmaslano

Env and Stacks WG

We are discussing additional repository:

  • The additonal repository will be called playground.
  • copr should be able to build from git url, not only from srpm (mmaslano will file a RFE).

What we need to give to fesco about changes for f21:

comment:22 follow-up: ↓ 26 Changed 21 months ago by pknirsch

Base Design:

  • Discussed in detail with mclasen the Workstation Tech Spec. We concluded in the end that at this moment Workstation WG tech spec doesn't require any changes or actions from the Base group
  • Biggest topic around Workstation was the plan to use a different installation frontend. That needs to be discussed with the anaconda team, rcm and FESCO by the Workstation WG.
  • Dgilmore in the process of putting together a rcm tasks document (related to Base and all other products)
Last edited 21 months ago by pknirsch (previous) (diff)

comment:23 Changed 21 months ago by jwboyer

The Workstation WG has settled on GNOME as the default desktop environment to base the product on. Matthias has written a few drafts of the Technical Specification and we're currently working through that. Things seem to be going smoothly there. The KDE team has some specific items to add/adjust, but no major concerns thus far.

As Phil mentioned, the Spec was discussed with Base and nothing immediately was identified for them to work on.

comment:24 Changed 21 months ago by mattdm

It's been quiet in Cloud, with a lot of people traveling. We have our meeting the hour before FESCo, and I'll add a quick update here at the last minute.

comment:25 Changed 21 months ago by sgallagh

Server WG

We set some primary goals for F21, which I sent out in a blog post: https://fedoraserver-wgblog.rhcloud.com/primary-goals-for-fedora-server-in-fedora-21/

We also made some significant progress on our technical specification. We'll be having an overflow meeting later this week to continue on this.

Meeting minutes from this week:


  • Roll call (adamw, 16:00:51)

Target roles for F21 (adamw, 16:06:48) ======================================

  • AGREED: Domain Controller is accepted as the "primary blocker
  • AGREED: Database Server is accepted as the "secondary target" role for Fedora 21 (+9/-0) (adamw, 16:10:04)
  • AGREED: PostgreSQL is accepted as the "initial" database for Fedora 21 (7 pgsql, 1 mariadb, 1 abstain) (adamw, 16:11:11)

Install media and high-level view of default packages (adamw, 16:11:53) =======================================================================

  • PRD states "Fedora Server will produce two main installation resources, a netinstall image and an offline install iso image that allows one to install and configure featured roles offline." (adamw, 16:13:29)
  • AGREED: initial maximum size for offline ISO is 4GB (+5/-0) (adamw, 1:18:45)
  • AGREED: one deliverable for Fedora 21 will be a 'traditional install' style ISO image capable of deploying the roles we consider ready for release without a network connection (adamw, 16:32:10)
  • http://boot.fedoraproject.org/download (nirik, 16:34:26)
  • AGREED: we also plan a minimal deliverable of some kind for Fedora 21, which could be a 'traditional' netinstall image, a boot.fedoraproject.org-style 'anacondaless' image, or just a variant method of deployment from the 'full' deliverable: this requires further consideration (adamw, 16:46:14)
  • AGREED: sshd will be installed, enabled and running by default when deploying Fedora Server (adamw, 16:58:01)
  • https://fedoraproject.org/wiki/Server/Polish_Ideas #3 here is how i added it (mizmo, 17:04:43)

Action Items ============

  • ACTION: sgallagh to send out a mail regarding 'core dependencies' for discussion (adamw, 17:06:28)
  • ACTION: sgallagh to send a whenisgood for a follow up meeting later this week to discuss the rest of the things we have to settle (adamw, 17:12:14)
  • ACTION: sgallagh to send whenisgood request for Thursday/Friday? (sgallagh, 17:13:25)

Minutes: http://meetbot.fedoraproject.org/fedora-meeting-1/2014-02-25/server-wg.2014-02-25-16.00.html

Minutes (text): http://meetbot.fedoraproject.org/fedora-meeting-1/2014-02-25/server-wg.2014-02-25-16.00.txt

Log: http://meetbot.fedoraproject.org/fedora-meeting-1/2014-02-25/server-wg.2014-02-25-16.00.log.html

Last edited 21 months ago by mitr (previous) (diff)

comment:26 in reply to: ↑ 22 Changed 21 months ago by mitr

Replying to pknirsch:

  • Biggest topic around Workstation was the plan to use a different installation frontend. That needs to be discussed with the anaconda team, rcm and FESCO by the Workstation WG.

Is there more information about the "topic" / "plan" to be discussed by FESCo?

comment:27 Changed 21 months ago by mattdm

Cloud will hold an activity day on Friday to whip our changes / deliverables list into shape.

comment:28 Changed 21 months ago by mmaslano

End and Stacks WG

We are still discussing policies for additional repository - Playground requirements. Summary of details can be found at:


Two Change proposals were started based on items from PRD:

comment:29 Changed 21 months ago by mattdm

The Cloud WG update is basically: We worked on and submitted https://fedorahosted.org/fesco/ticket/1241

comment:30 Changed 21 months ago by pknirsch

Base Design:

  • Discussed with sgallagh the current Tech Spec of Server. Overall seen again no actionable dependencies towards Base.
  • Discussed and gave feedback on several points of the Server Tech Spec. Sgallagh feeding that back to the Server WG team.

comment:31 Changed 21 months ago by jwboyer

Workstation has been working through the Tech Spec: https://fedoraproject.org/wiki/Workstation/Technical_Specification

We're still chipping away at it, but the bulk of the content is present. The impacts to other teams are fairly limited, with the one outstanding exception of the KDE issue raised in another ticket.

comment:32 Changed 21 months ago by mattdm

(I believe we are in the "off" week for this, right?)

comment:33 Changed 21 months ago by mmaslano

Env and Stacks WG

Updated proposal about Playground repository. We should have complete list of requirements before April 7th. Other goals of our WG shouldn't interfere with "making of Fedora".


comment:34 Changed 21 months ago by sgallagh

Server WG

We've agreed on how to handle the firewall when Roles are involved and we're actively engaged in discussions on how to package and deliver Roles on the system. More to follow later.

comment:35 Changed 21 months ago by pknirsch

Base Design:

  • Canceled meeting last week due to empty agenda
  • Planed a 2nd round of reviews of tech specs for this week's meeting
  • No other big news this week

comment:36 Changed 21 months ago by mmaslano

comment:37 Changed 21 months ago by mattdm

Cloud: we're going through the list of changes we said we would file, finding owners, and filing them.

Also, some discussion about Fedora Atomic / ostree.

comment:38 Changed 21 months ago by sgallagh

Server: Working on defining the Server Role D-BUS API.

comment:39 Changed 20 months ago by mmaslano

Env WG: nothing this week. I plan to finish Change proposal https://fedoraproject.org/wiki/Env_and_Stacks/Changes_Drafts/Playground_repository

comment:40 Changed 20 months ago by sgallagh

Server: Had a meeting to discuss documentation needs and Change filing. Will be filling out Change requests this week for:

  • Framework for Server Role Deployment
  • Featured Server Role: Domain Controller
  • Featured Server Role: SQL Database Server
  • Cockpit Server Management Console
  • OpenLMI Support for Server Roles

comment:41 Changed 20 months ago by mattdm


  • working on converting giant wiki todo list to trac tickets...
  • and many of those include filing changes...
  • which should be in rapid progress soon.

comment:42 Changed 20 months ago by jwboyer


  • Nothing to report this week

comment:44 Changed 20 months ago by jwboyer





The last proposed Change is under some pretty heavy discussion. It is my hope we can find some middle ground and work on a slightly different solution.

comment:45 Changed 20 months ago by mattdm


I'm at RH Summit and heavily distracted. We have a number of Changes in progress, and work is progressing on some of those.

On another note, and I hope not surprisingly, I am for Josh's "middle ground" solution for the firewall question.

comment:46 Changed 20 months ago by kevin

Any reports from working groups this week?

comment:47 Changed 20 months ago by pknirsch


  • Nothing new this week due to Summit week last week and Easter holidays.

comment:48 Changed 20 months ago by mmaslano


  • nothing happened this week.

comment:49 Changed 20 months ago by mattdm


  • Changes in progress
  • Meeting later this week to work through some open questions
    • Using the Spins process for Fedora Cloud image variants
    • Project Atomic and Fedora
    • Branding questions
    • Deliverables and release engineering
    • package inclusion request from openstack
    • cloud-init refactoring

Last edited 20 months ago by mattdm (previous) (diff)

comment:50 Changed 19 months ago by mitr

Any reports from working groups this week?

comment:51 Changed 19 months ago by jwboyer


  • Initial live image kickstarts posted for review on the desktop list
  • Trac instance setup to coordinate work items: https://fedorahosted.org/workstation/
  • TODO list sent for review/feeback (will be migrated to trac tickets)
  • Changes submitted via normal process

comment:52 Changed 19 months ago by mmaslano


no meeting

comment:53 Changed 19 months ago by sgallagh

Server WG:

  • Jim Perrin stepped down as WG member
  • Stef Walter selected to fill the vacant seat at yesterday's meeting
  • Thomas Woerner will be leading development of the Server Role API
  • Multiple discussions have been held around the Server Role API needs over the last two weeks.
  • http://piratepad.ca/p/ServerRoleRequirements is a working document containing the API requirements. It is still under development and will be moved to the Fedora Wiki when complete.
  • Documentation groups have requested that we publish reference kickstart files for deploying Fedora Server in common configurations. We will work with QA to share any kickstarts they develop for testing with the documentation team.
  • Something that fell off our radar: we need to plan exactly what install media we are going to support for F21. We are committed to a DVD/USB install, but have not settled on an approach for network install yet. I will add this to next week's agenda.

comment:54 Changed 19 months ago by mattdm

Cloud WG:

  • reconfirming membership in progress (may be minor shuffling, but interest/involvement remains high)
  • made some decisions about Atomic as the scheme for the Docker host image
  • we'll use the regular spin process for cloud image variants
  • roshi is working on a test plan (awesome)
  • jzb is working on policies for image updates

And I have an action item to get people connected for working on Fedora in Google Compute Engine, Google's cloud service, but that hasn't actually gone anywhere yet.

comment:55 Changed 19 months ago by sgallagh

Server WG (2014-05-21):

  • Resumed efforts to design the Role API
  • Responded to design team queries for marketing targets

comment:56 Changed 19 months ago by mmaslano

Env and Stacks WG:

not much. We discussed Taskotron with tflink.

comment:57 Changed 19 months ago by mattdm


  • everyone confirmed as staying on
  • making progress on plans for project atomic, but there is a lot of work to be done esp. on releng/infra
  • ditto on producing updated cloud images
  • lots of people assigned to actually do the things that need done
  • but we're not quite at the phase of doing them, which we do need to get to quickly.

comment:58 Changed 19 months ago by pknirsch

Base WG:

  • Planing on getting more active hands to work on the cleanup work
  • Still tracking other WGs efforts and looking at F21 plans
  • Tracking merge reviews

comment:59 Changed 18 months ago by toshio

Sorry for the late ping: this is the bi-weekly reporting week. Anyone have anything to report on behalf of their Working Groups?

comment:60 Changed 18 months ago by mattdm

Cloud: we didn't have a meeting last week. We're making progress with getting the release engineering questions sorted out, and, chiefly, Rawhide images are now properly building in anaconda (thanks to a lot of work from Dennis and Ian). David Gay is working on the automatic image upload service, too. And we're getting the *framework* for QA and the test plan in place, if not the actual test plan yet.

comment:61 Changed 18 months ago by sgallagh

Server: We're progressing with the Server Role API, with a formal proposal up on the list and currently going through iterative review. However, given the time remaining, we voted in our meeting this week to formally ask for additional time before the Change Freeze to complete it, noting that this is going to be a blocker for our release. (Our feeling is that we should be up-front about needing the additional time, rather than forcing a slip at the end, but that's up to FESCo to decide.

We also discussed our support for ARM32, which had slipped off our radar. We plan to support those ARM systems that can install using Anaconda initially (in F21) and will consider image-based installs for other ARM boards to be non-blocking install media, essentially Spins.

comment:62 Changed 18 months ago by sgallagh

  • Resolution set to wontfix
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.